local t = Def.ActorFrame{
	InitCommand=cmd(CenterX;y,SCREEN_HEIGHT*0.8825);
	Def.Quad{
		Name="TextBG";
		InitCommand=cmd(zoomto,SCREEN_WIDTH,0;diffuse,color("0,0,0,0.5");fadeleft,0.5;faderight,0.5);
		OnCommand=cmd(linear,0.3;zoomto,SCREEN_WIDTH,SCREEN_HEIGHT*0.06667);
		OffCommand=cmd(decelerate,0.75;zoomto,SCREEN_WIDTH,0);
		PlayerJoinedMessageCommand=cmd(playcommand,"Off");
	};

	AutoText("frutiger")..{
		Text=ScreenString("JoinMessage");
		InitCommand=cmd(shadowlength,1;NoStroke;zoom,0.8);
		OnCommand=cmd(linear,0.3;diffusealpha,1;diffuseshift;effectcolor1,color("1,1,1,1");effectcolor2,color("1,1,1,0.8"););
		OffCommand=cmd(linear,0.125;diffusealpha,0);
		PlayerJoinedMessageCommand=cmd(playcommand,"Off");
	};
};

return t;